//
//  CustomView.m
//  aSimpleDemo
//
//  Created by zhangke on 2018/3/23.
//  Copyright © 2018年 RongCloud. All rights reserved.
//

#import "CustomView.h"
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width                 //屏幕宽度
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height               //屏幕宽度
@interface CustomView()<UITextFieldDelegate, UITextViewDelegate>
@property (nonatomic ,retain)UITextField *textField;
@property (nonatomic ,retain)UITextView *textView;
@end
@implementation CustomView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self)
    {
        [self addSubview:self.textField];
        [self addSubview:self.textView];
    }
    return self;
}

- (UITextField *)textField
{
    if (!_textField)
    {
        _textField = [[UITextField alloc] initWithFrame:CGRectMake(20, 100, SCREEN_WIDTH - 20 * 2, 40)];
        _textField.placeholder = @"请输入一串文字";
        _textField.delegate = self;
        _textField.layer.cornerRadius = 5.0;
        _textField.layer.borderWidth = 1;
        _textField.layer.borderColor = [UIColor grayColor].CGColor;
        _textField.returnKeyType = UIReturnKeyDone;
    }
    return _textField;
}

- (UITextView *)textView
{
    if (!_textView)
    {
        _textView = [[UITextView alloc] initWithFrame:CGRectMake(20, 160 , SCREEN_WIDTH - 20 * 2, 100)];
        _textView.returnKeyType = UIReturnKeyDone;
        _textView.layer.cornerRadius = 5.0;
        _textView.layer.borderWidth = 1;
        _textView.layer.borderColor = [UIColor grayColor].CGColor;

    }
    return _textView;
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField{
    [textField resignFirstResponder];
    return YES;
}


- (BOOL)textView:(UITextView *)textView shouldChangeTextInRange:(NSRange)range replacementText:(NSString *)text{
    if ([text isEqualToString:@"\n"]){ //判断输入的字是否是回车，即按下return
        //在这里做你响应return键的代码
        [textView resignFirstResponder];
        return NO; //这里返回NO，就代表return键值失效，即页面上按下return，不会出现换行，如果为yes，则输入页面会换行
    }
    
    return YES;
}


@end
