//
//  RCDCustomConversationVC.m
//  aSimpleDemo
//
//  Created by zhangke on 2018/3/23.
//  Copyright © 2018年 RongCloud. All rights reserved.
//

#import "RCDCustomConversationVC.h"
#import "CustomView.h"
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width                 //屏幕宽度
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height               //屏幕宽度
@interface RCDCustomConversationVC ()
@property (nonatomic ,retain)UIScrollView *scrollView;
@property (nonatomic ,retain)NSArray *views;
@property (nonatomic ,retain)CustomView *customOne;
@property (nonatomic ,retain)CustomView *customTwo;
@property (nonatomic ,assign)CGFloat inputBarControlHeight;

@end

@implementation RCDCustomConversationVC

- (void)viewDidLoad {
    [super viewDidLoad];
    self.inputBarControlHeight = self.chatSessionInputBarControl.frame.size.height;
    self.displayConversationTypeArray = @[@(ConversationType_PRIVATE)];
    self.views = @[self.conversationMessageCollectionView, self.customOne,self.customTwo];
    [self.conversationMessageCollectionView removeFromSuperview];
    [self.view addSubview:self.scrollView];
    [self.view bringSubviewToFront: self.emojiBoardView];
    [self.view bringSubviewToFront: self.chatSessionInputBarControl];
    
}

- (UIScrollView *)scrollView
{
    if (!_scrollView)
    {
        _scrollView = [[UIScrollView alloc] initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, SCREEN_HEIGHT -  self.inputBarControlHeight)];
        _scrollView.delegate = self;
        _scrollView.clipsToBounds = NO;
        _scrollView.contentSize = CGSizeMake(SCREEN_WIDTH * self.views.count, SCREEN_HEIGHT - self.chatSessionInputBarControl.frame.size.height);
        _scrollView.pagingEnabled = YES;
        _scrollView.showsVerticalScrollIndicator = NO;
        _scrollView.showsHorizontalScrollIndicator = NO;
        for (int i = 0; i < self.views.count; i ++) {
            UIView *v = self.views[i];
            if (i == 2)
            {
                v.frame = CGRectMake(SCREEN_WIDTH * i, 0, SCREEN_WIDTH, SCREEN_HEIGHT);
            }
            else
            {
                v.frame = CGRectMake(SCREEN_WIDTH * i, 0, SCREEN_WIDTH, SCREEN_HEIGHT  - self.inputBarControlHeight);
            }
            
            [_scrollView addSubview:v];
            
        }
    }
    return _scrollView;
}
- (CustomView *)customOne
{
    if (!_customOne)
    {
        _customOne = [[CustomView alloc] initWithFrame:CGRectZero];
    }
    return _customOne;
}
- (CustomView *)customTwo
{
    if (!_customTwo)
    {
        _customTwo = [[CustomView alloc] initWithFrame:CGRectZero];
    }
    return _customTwo;
}

#pragma mark - scrollView delegate


- (void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    if (scrollView.contentOffset.x > SCREEN_WIDTH)
    {
        self.chatSessionInputBarControl.hidden = YES;
        
    }
    else
    {
        self.chatSessionInputBarControl.hidden = NO;
        //        [self.view endEditing:YES];
        
        
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}


@end
